<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);		
	$StrCon=V($_POST['TxtCon']);		
	$StrRuc=V($_POST['TxtRuc']);		
	
	$StrNomT=$StrNom."%";
	$StrConT=$StrCon."%";
	$StrRucT=$StrRuc."%";
	//-------------------------
	$LStrTR=gn("count(*)","vclientes","ID>0 AND 
							NOMBRE LIKE '$StrNomT' AND
							CONTACTO LIKE '$StrConT' AND
							RUC LIKE '$StrRucT'");
	$LStrPag=V($_POST['TxtPag']);	
	if($StrCmd=="F"){$LStrPag="1";}
	$VP_RegXPag=50000;	
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//
	if($StrCmd=="PDF"){	
		//
		$TI="REPORTE DE CLIENTES";
		$s="SELECT NOMBRE,RUC,TEL,CEL,EMAIL FROM vclientes 
			WHERE ID>0 AND NOMBRE Like '$StrNomT' AND 
			CONTACTO Like '$StrConT' AND RUC Like '$StrRucT' ORDER BY NOMBRE ";
		$T="NOMBRE,RUC,TELEFONO,CELULAR,EMAIL";
		$E="28,13,7,9,25";
		$A=" 0, 0,0,0,0";
		//
		$_ID=GenId("id","reportes");
		PDF_TIT($_ID,$TI);
		PDF_SQL($_ID,$s);
		PDF_CAM($_ID,$T);
		PDF_ESP($_ID,$E);
		PDF_ANC($_ID,$A);		
		$StrFilePDF=PDF_CREATE($_ID);	
		//
		JsDir($StrFilePDF);
		return;			
	}
	//
	
$IdUsu=$_SESSION['SYS_USER_ID'];
$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de clientes</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}
</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("TxtNom");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="rep_clientes.php" style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px">
<img src="b.png" class="iT" />
<div class="tT">REPORTE - CLIENTES POR EMAIL</div>
</div>

<!----------------------------------------->
  
<div class="s1" style="left: 34px; top: 121px; width: 200px;">
NOMBRE / RAZON SOCIAL</div>
<input name="TxtNom" type="text" id="TxtNom" 
class="lt" style="left: 34px; top: 138px; width:180px" 
value="<?php echo $StrNom;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 226px; top: 121px; width: 100px;">
CONTACTO</div>
<input name="TxtCon" type="text" id="TxtCon" 
class="lt" style="left: 223px; top: 138px; width:180px" 
value="<?php echo $StrCon;?>"
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 417px; top: 121px; width: 100px;">
RUC</div>
<input name="TxtRuc" type="text" id="TxtRuc" 
class="lt" style="left: 412px; top: 138px; width:150px"
value="<?php echo $StrRuc;?>"
tabindex="<?php echo ++$TI;?>"/>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->

<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="6" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="286" style="text-align:left; background:#999">NOMBRE</th>
<th width="253" style="text-align:left; background:#999"">CONTACTO</th>
<th width="97"  style="text-align:left; background:#999"">RUC</th>
<th width="111"  style="text-align:left; background:#999"">TELEFONO</th>
<th width="95" style="text-align:left; background:#999"">CELULAR</th>
<th width="270" style="text-align:left; background:#999"">EMAIL</th>
</tr>
</thead>
<tbody>
<?php	
$w="ID>0 AND NOMBRE Like '$StrNomT' AND 
 CONTACTO Like '$StrConT' AND RUC Like '$StrRucT' ";
	  		
$s="SELECT ID,NOMBRE,CONTACTO,RUC,TEL,CEL,EMAIL FROM vclientes 
 	WHERE $w
	ORDER BY NOMBRE ";
    

	$result = grs($s);				
	while ($row = $result->fetch_row()){
	?>	
	<tr >
	<!----------------------------------------------->
	<td><?php echo $row[1];?></td>  
    <td><?php echo $row[2];?></td>
    <td><?php echo $row[3];?></td>
    <td><?php echo $row[4];?></td> 
    <td><?php echo $row[5];?></td>
    <td><?php echo $row[6];?></td>
	<!----------------------------------------------->
	</tr>
	<?php
	}

?>		  

</tbody>
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?> 

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 221px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($w,$StrNom,$StrCon,$StrRuc);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($w,$StrNom,$StrCon,$StrRuc){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE DE CLIENTES",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrNom)>0){
$_ENC=vbl("NOMBRE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCon)>0){
$_ENC=vbl("CONTACTO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCon.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrRuc)>0){
$_ENC=vbl("RUC".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrRuc.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$_ENC=vbl("NOMBRE".vbfill(" ",25),25);
$_ENC=$_ENC." ".vbl("CONTACTO".vbfill(" ",15),15);
$_ENC=$_ENC." ".vbl("RUC".vbfill(" ",11),11);
$_ENC=$_ENC." ".vbl("TELEFONO".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("CELULAR".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("EMAIL".vbfill(" ",13),13);
$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,NOMBRE,CONTACTO,RUC,TEL,CEL,EMAIL FROM vclientes 
 	WHERE $w
	ORDER BY NOMBRE ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl($row[1].vbfill(" ",25),25);
	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",11),11);
	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row[5].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row[6].vbfill(" ",13),13);
	$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	


$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Reporte de Clientes.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 128px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
